Bug 1018728 - SELinux is preventing /usr/lib64/xulrunner/plugin-container from 'name_bind' accesses on the tcp_socket .
SELinux is preventing /usr/lib64/xulrunner/plugin-container from 'name_bind' ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:e5a2492520d435afd8130a612a2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 06:10 EDT by Itamar Heim
Modified: 2013-10-29 11:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-29 11:41:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Itamar Heim 2013-10-14 06:10:09 EDT
Description of problem:
SELinux is preventing /usr/lib64/xulrunner/plugin-container from 'name_bind' accesses on the tcp_socket .

*****  Plugin mozplugger (99.1 confidence) suggests  *************************

If you want to use the spice-xpi package
Then you must turn off SELinux controls on the Firefox plugins.
Do
# setsebool unconfined_mozilla_plugin_transition 0

*****  Plugin catchall (1.81 confidence) suggests  ***************************

If you believe that plugin-container should be allowed name_bind access on the  tcp_socket by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep plugin-containe /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                system_u:object_r:vnc_port_t:s0
Target Objects                 [ tcp_socket ]
Source                        plugin-containe
Source Path                   /usr/lib64/xulrunner/plugin-container
Port                          5921
Host                          (removed)
Source RPM Packages           xulrunner-24.0-2.fc18.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-105.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.10.11-100.fc18.x86_64 #1 SMP Mon
                              Sep 9 13:06:31 UTC 2013 x86_64 x86_64
Alert Count                   28
First Seen                    2013-09-04 08:12:55 EDT
Last Seen                     2013-10-10 09:29:17 EDT
Local ID                      5e1abf33-0fd9-4cec-8ced-737153792b2a

Raw Audit Messages
type=AVC msg=audit(1381411757.687:5732): avc:  denied  { name_bind } for  pid=5115 comm="plugin-containe" src=5921 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:vnc_port_t:s0 tclass=tcp_socket


type=SYSCALL msg=audit(1381411757.687:5732): arch=x86_64 syscall=bind success=no exit=EACCES a0=25 a1=7ff7a40963b0 a2=10 a3=7ff7a40963ec items=0 ppid=5027 pid=5115 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=2 tty=(none) comm=plugin-containe exe=/usr/lib64/xulrunner/plugin-container subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

Hash: plugin-containe,mozilla_plugin_t,vnc_port_t,tcp_socket,name_bind

audit2allow

#============= mozilla_plugin_t ==============
allow mozilla_plugin_t vnc_port_t:tcp_socket name_bind;

audit2allow -R
require {
	type mozilla_plugin_t;
}

#============= mozilla_plugin_t ==============
corenet_tcp_bind_vnc_port(mozilla_plugin_t)


Additional info:
reporter:       libreport-2.1.7
hashmarkername: setroubleshoot
kernel:         3.10.11-100.fc18.x86_64
type:           libreport
Comment 1 Daniel Walsh 2013-10-16 15:13:19 EDT
Itamar can you run this in permissive mode and see if any other access is required.
Comment 2 Daniel Walsh 2013-10-16 15:14:55 EDT
f17dc4436ba87b23190277e7eca3ff531c187768 in git will allow this if the mozilla_plugin_use_spice boolean is set.
Comment 3 Itamar Heim 2013-10-16 15:45:30 EDT
so the strange part i don't remember launching spice-xpi when i saw these errors.
i tried launching it even with enforcing mode but saw no issues reported.
Comment 4 Daniel Walsh 2013-10-16 16:28:04 EDT
Could be unrelated, and I went to far.   Were you playing with some kind of remote vnc application?
Comment 5 Itamar Heim 2013-10-25 08:23:45 EDT
no. i'm pretty sure i didn't use virt-viewer or spice-xpi at the time.
we can close if doesn't reproduce to me or anyone else i guess

Note You need to log in before you can comment on or make changes to this bug.